## org.gnu.pango
Class Language

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.pango.Language

public class Language
extends Boxed

The PangoLanguage structure is used to represent a language.

Constructor Summary
`Language(org.gnu.glib.Handle handle)` Constructs a new language object from handle to native resources.
`Language(java.lang.String lang)` Take a RFC-3066 format language tag as a string and convert it to a PangoLanguage pointer.

Method Summary
`java.lang.String` `toString()` Returns a RFC-3066 format string representing the given language tag.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Language

    public Language(java.lang.String lang)

  Take a RFC-3066 format language tag as a string and convert it to a PangoLanguage pointer.

  This function first canonicalizes the string by converting it to lowercase, mapping '_' to '-', and stripping all characters other than letters and '-'.

### Language

    public Language(org.gnu.glib.Handle handle)

  Constructs a new language object from handle to native resources. This should only be used internally by the java-gnome packages.

Method Detail

### toString

    public java.lang.String toString()

  Returns a RFC-3066 format string representing the given language tag.